﻿using SqlSugar;

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SqlSugarDb.MySqlSugarClient
{
    public  class DbSqlSugarClient
    {
        private static string comConfig = ConfigurationManager.AppSettings["MySql"];
        //private static readonly string connectionString = "Data Source=localhost;Database=datacollection;User Id='root';Password='Lt,100186';port=3306;charset=utf8mb4;";
        private  static SqlSugarScope mySqlSugar = null;
        public static SqlSugarScope GetInstance()
        {
            if(mySqlSugar==null)
            {
                mySqlSugar = new SqlSugarScope(new ConnectionConfig()
                {
                    ConnectionString = comConfig,
                    DbType = DbType.MySql,
                    IsAutoCloseConnection = true,
                    InitKeyType = InitKeyType.Attribute, //从实体特性中读取主键自增列信息 

                });

//                mySqlSugar.DbFirst.IsCreateAttribute()
//.CreateClassFile(@"E:\Code\TFT\code\02 stocker测试软件\02 代码\上位机程序框架\BlankApp1\Model\Entities", "Model.Entities");
            }
           

            return mySqlSugar;
        }

    }
}
